Changeset 104855


Ignore:
Timestamp:
Apr 4, 2013, 1:23:36 AM (4 years ago)
Author:
michaelld@…
Message:

gr-osmosdr:

  • update to latest;
  • change gnuradio dependency to allow any gnuradio port;
  • update active_variants to allow any gnuradio port.
File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/science/gr-osmosdr/Portfile

    r104032 r104855  
    1919    Support includes GNU Radio source and sink blocks in C++, Python, and GNU Radio Companion (grc).  This port also offers a wrapper functionality for the FunCube Dongle, Ettus UHD, and rtl-sdr radios.  By using gr-osmosdr source you can take advantage of a common software api in your applications independent of the underlying radio hardware.
    2020
    21 version             20130313
     21version             20130317
    2222
    2323fetch.type          git
    2424git.url             git://git.osmocom.org/gr-osmosdr
    25 git.branch          901dca8135507c0bde0c187ba9226c3d63aabcc6
     25git.branch          e85c68d9f84f955cbe9f3d4c730561580f6cfcf9
    2626
    2727livecheck.url       http://cgit.osmocom.org/cgit/gr-osmosdr/
     
    2929livecheck.regex     id=(\[a-f0-9\]+).>HEAD<
    3030
    31 depends_lib-append      port:gnuradio \
     31depends_lib-append      path:lib/libgnuradio-audio.dylib:gnuradio \
    3232                    port:rtl-sdr
    3333
     
    7171
    7272            # require gnuradio to also have this variant
    73 
    74             require_active_variants gnuradio ${p}
     73            require_active_variants \
     74                path:lib/libgnuradio-audio.dylib:gnuradio ${p}
    7575
    7676            # specify the Python dependencies
     
    107107
    108108variant full requires docs uhd swig \
    109     description {Enable all variants except python} {}
     109    description {Enable all variants except +debug and +universal} {}
    110110
    111111variant docs description "Install ${name} documentation" {
     
    136136    # require gnuradio to also have this variant
    137137
    138     require_active_variants gnuradio uhd
     138    require_active_variants \
     139        path:lib/libgnuradio-audio.dylib:gnuradio uhd
    139140
    140141    configure.args-append \
     
    165166    # require gnuradio to also have this variant
    166167
    167     require_active_variants gnuradio swig
     168    require_active_variants \
     169        path:lib/libgnuradio-audio.dylib:gnuradio swig
    168170
    169171    configure.args-append \
Note: See TracChangeset for help on using the changeset viewer.